Subject: Re: linux-next: build failure after merge of the bitmap tree

From: Miquel Raynal <[email-masked]>
Date: Tue, 25 Nov 2025 09:53:25 +0100

>On 25/11/2025 at 09:31:48 +01, Miquel Raynal <[email-masked]> wrote:

> Hello Geert,
>
>>>  /* non compile-time field get/prep */
>>> -#define field_get(_mask, _reg) (((_reg) & (_mask)) >> (ffs(_mask) - 1))
>>> -#define field_prep(_mask, _val) (((_val) << (ffs(_mask) - 1)) & (_mask))
>>> +#define sunxi_field_get(_mask, _reg) (((_reg) & (_mask)) >> (ffs(_mask) - 1))
>>> +#define sunxi_field_prep(_mask, _val) (((_val) << (ffs(_mask) - 1)) & (_mask))
>>
>> See "[PATCH -next v6 11/26] mtd: rawnand: sunxi: #undef
>> field_{get,prep}() before local definition"[1] and follow-up
>> "[PATCH -next v6 24/26] mtd: rawnand: sunxi: Convert to common
>> field_{get,prep}() helpers"[2].
>> The former unfortunately didn't make it into the nand tree yet...
>>
>> [1] https://lore.kernel.org/all/703d7[email-masked]
>> [2] https://lore.kernel.org/all/e1c87[email-masked]/
>
> It wasn't clear to me when/if I could effectively pull these, nor if
> they would make it for this release. Were you (or someone else) supposed
> to carry these on your own? Or, can I just apply these two now?

Actually it's entirely my fault, I put that series aside given the
bikeshedding that happened on patch 12. I am sorry for not being more
pushy on my side, this is great job I should have encouraged with more
engagement, but I tend to loose all kind of motivation when it comes to
arguing with perfectionists.

So as hinted in the cover letter, I'll take patch 11 now and apply the
other patch (which I blindly acked already) on top of -rc1. Don't
hesitate to ping me or resend if I don't.

Thanks,
Miquèl